Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162413 - 4 * is used uninitialized in this function
Summary: 4 * is used uninitialized in this function
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 11:02 UTC by David Binderman
Modified: 2013-07-02 23:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-18 12:26:42 UTC


Attachments (Terms of Use)

Description David Binderman 2005-07-04 11:02:16 UTC
Description of problem:

I just tried to compile package tetex-3.0-4 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and the
compiler flag -Wall.

The compiler said

1.

aleph1.c:5346: warning: 'alpha' is used uninitialized in this function

The source code is

        fonttables [f ][ k ].cint = sw - alpha ;

I agree with the compiler. Suggest initialise local variable
"alpha" before first use.

2.

omega1.c:3616: warning: 'alpha' is used uninitialized in this function
omega1.c:3611: warning: 'beta' is used uninitialized in this function
aleph1.c:5341: warning: 'beta' is used uninitialized in this function

Duplicates.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jindrich Novy 2005-07-21 09:55:44 UTC
aleph1.c and omega1.c are generated during compilation. Because this seems not
to be severe as there are no known bugs as the cause of this, closing WONTFIX.

Comment 2 David Binderman 2005-07-21 13:47:47 UTC
>aleph1.c and omega1.c are generated during compilation.

Time to look at the source code of the files they are
generated from ?

>closing WONTFIX.

Code which is known to read random data is just asking for 
lots of downstream trouble, surely ?

I've seen lots of projects which do a lot of downstream firefighting,
but they never seem to look at upstream, which is where a lot of
the downstream firefighting can be avoided.

Comment 3 Jindrich Novy 2005-07-21 14:27:54 UTC
Right, any use of uninitialized variable is bad and may case problems downstream.

The code that generates these files need to modify/add the algorithm of its
generation what's better to be reported upstream. I'm subscribed to upstream
teTeX mailing lists and I see Thomas Esser replies quickly to user requests
there. I did several posts there as well and have this experience. The most of
things discussed there are mostly related to problems on a particular
architecture or usage related problems. IIRC I haven't noticed an email about
usage of uninitilized variables yet.

You may want to report this problem there to make upstream developers aware of
this problem.

To post a report you can use
tetex@dbs.uni-hannover.de

or visit http://www.tug.org/tetex/ to see all upstream mailing lists.

Me or you may close this bug UPSTREAM when the problem is reported there.

Comment 4 Jindrich Novy 2005-08-18 12:26:42 UTC
Closed due to user inactivity.


Note You need to log in before you can comment on or make changes to this bug.